package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkCommonAssigned implements Serializable {
    private String id;

    private String commonTkId;

    /**
     * 指派人id
     *
     * @mbg.generated
     */
    private String assignedUserId;

    private String assignedUserName;

    /**
     * 指派人角色 3 3级，2 2级，1 1级 ，0中心
     *
     * @mbg.generated
     */
    private Integer assignedRole;

    /**
     * 被指派人id
     *
     * @mbg.generated
     */
    private String beassignedUserId;

    /**
     * 被指派人姓名
     *
     * @mbg.generated
     */
    private String beassignedUserName;

    /**
     * 指派人角色 3 3级，2 2级，1 1级 ，0中心
     *
     * @mbg.generated
     */
    private Integer beassignedRole;

    /**
     * 指派状态
     *
     * @mbg.generated
     */
    private Integer assignedStatus;

    /**
     * 执行完成时间
     *
     * @mbg.generated
     */
    private Date assignedEndTime;

    /**
     * 指派说明
     *
     * @mbg.generated
     */
    private String assignedNode;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    /**
     * 指派人员类型
     *
     * @mbg.generated
     */
    private String performUserType;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommonTkId() {
        return commonTkId;
    }

    public void setCommonTkId(String commonTkId) {
        this.commonTkId = commonTkId;
    }

    public String getAssignedUserId() {
        return assignedUserId;
    }

    public void setAssignedUserId(String assignedUserId) {
        this.assignedUserId = assignedUserId;
    }

    public String getAssignedUserName() {
        return assignedUserName;
    }

    public void setAssignedUserName(String assignedUserName) {
        this.assignedUserName = assignedUserName;
    }

    public Integer getAssignedRole() {
        return assignedRole;
    }

    public void setAssignedRole(Integer assignedRole) {
        this.assignedRole = assignedRole;
    }

    public String getBeassignedUserId() {
        return beassignedUserId;
    }

    public void setBeassignedUserId(String beassignedUserId) {
        this.beassignedUserId = beassignedUserId;
    }

    public String getBeassignedUserName() {
        return beassignedUserName;
    }

    public void setBeassignedUserName(String beassignedUserName) {
        this.beassignedUserName = beassignedUserName;
    }

    public Integer getBeassignedRole() {
        return beassignedRole;
    }

    public void setBeassignedRole(Integer beassignedRole) {
        this.beassignedRole = beassignedRole;
    }

    public Integer getAssignedStatus() {
        return assignedStatus;
    }

    public void setAssignedStatus(Integer assignedStatus) {
        this.assignedStatus = assignedStatus;
    }

    public Date getAssignedEndTime() {
        return assignedEndTime;
    }

    public void setAssignedEndTime(Date assignedEndTime) {
        this.assignedEndTime = assignedEndTime;
    }

    public String getAssignedNode() {
        return assignedNode;
    }

    public void setAssignedNode(String assignedNode) {
        this.assignedNode = assignedNode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getPerformUserType() {
        return performUserType;
    }

    public void setPerformUserType(String performUserType) {
        this.performUserType = performUserType;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", commonTkId=").append(commonTkId);
        sb.append(", assignedUserId=").append(assignedUserId);
        sb.append(", assignedUserName=").append(assignedUserName);
        sb.append(", assignedRole=").append(assignedRole);
        sb.append(", beassignedUserId=").append(beassignedUserId);
        sb.append(", beassignedUserName=").append(beassignedUserName);
        sb.append(", beassignedRole=").append(beassignedRole);
        sb.append(", assignedStatus=").append(assignedStatus);
        sb.append(", assignedEndTime=").append(assignedEndTime);
        sb.append(", assignedNode=").append(assignedNode);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", performUserType=").append(performUserType);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonAssigned other = (TkCommonAssigned) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCommonTkId() == null ? other.getCommonTkId() == null : this.getCommonTkId().equals(other.getCommonTkId()))
            && (this.getAssignedUserId() == null ? other.getAssignedUserId() == null : this.getAssignedUserId().equals(other.getAssignedUserId()))
            && (this.getAssignedUserName() == null ? other.getAssignedUserName() == null : this.getAssignedUserName().equals(other.getAssignedUserName()))
            && (this.getAssignedRole() == null ? other.getAssignedRole() == null : this.getAssignedRole().equals(other.getAssignedRole()))
            && (this.getBeassignedUserId() == null ? other.getBeassignedUserId() == null : this.getBeassignedUserId().equals(other.getBeassignedUserId()))
            && (this.getBeassignedUserName() == null ? other.getBeassignedUserName() == null : this.getBeassignedUserName().equals(other.getBeassignedUserName()))
            && (this.getBeassignedRole() == null ? other.getBeassignedRole() == null : this.getBeassignedRole().equals(other.getBeassignedRole()))
            && (this.getAssignedStatus() == null ? other.getAssignedStatus() == null : this.getAssignedStatus().equals(other.getAssignedStatus()))
            && (this.getAssignedEndTime() == null ? other.getAssignedEndTime() == null : this.getAssignedEndTime().equals(other.getAssignedEndTime()))
            && (this.getAssignedNode() == null ? other.getAssignedNode() == null : this.getAssignedNode().equals(other.getAssignedNode()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getPerformUserType() == null ? other.getPerformUserType() == null : this.getPerformUserType().equals(other.getPerformUserType()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCommonTkId() == null) ? 0 : getCommonTkId().hashCode());
        result = prime * result + ((getAssignedUserId() == null) ? 0 : getAssignedUserId().hashCode());
        result = prime * result + ((getAssignedUserName() == null) ? 0 : getAssignedUserName().hashCode());
        result = prime * result + ((getAssignedRole() == null) ? 0 : getAssignedRole().hashCode());
        result = prime * result + ((getBeassignedUserId() == null) ? 0 : getBeassignedUserId().hashCode());
        result = prime * result + ((getBeassignedUserName() == null) ? 0 : getBeassignedUserName().hashCode());
        result = prime * result + ((getBeassignedRole() == null) ? 0 : getBeassignedRole().hashCode());
        result = prime * result + ((getAssignedStatus() == null) ? 0 : getAssignedStatus().hashCode());
        result = prime * result + ((getAssignedEndTime() == null) ? 0 : getAssignedEndTime().hashCode());
        result = prime * result + ((getAssignedNode() == null) ? 0 : getAssignedNode().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getPerformUserType() == null) ? 0 : getPerformUserType().hashCode());
        return result;
    }
}